Skip to content

Start card verification process for the authenticated user.

POST
/api/v1/user/verify/card

Account identifier for card verification

object
accountIdentifier
required

The account identifier of the card to verify.

string
Example
123456_9876_02_2029

Card verification process started successfully.

object
type

The provider type.

string
nullable
Example
sumsub
status
required

The verification status.

string
Example
initiated
data

Provider-specific data.

object

A list of possible errors for this endpoint.

object
code
required
string
Allowed values: ER048 ER380 ER396 ER397 ER398 ER399 ER400 ER700 ER701 ER702 ER703 ER704 ER705 ER706 ER707 ER708 ER709 ER800 ER801 ER802 ER803 ER805 ER806 ER999
message
required
string
solution
required
string
Example
{
"errors": {
"ER048": {
"code": "ER048",
"message": "Invalid JSON data provided.",
"solution": "Provide valid JSON data."
},
"ER380": {
"code": "ER380",
"message": "Invalid account identifier.",
"solution": "Provide a valid account identifier."
},
"ER396": {
"code": "ER396",
"message": "Account not found.",
"solution": "Provide a valid account identifier that belongs to the authenticated user."
},
"ER397": {
"code": "ER397",
"message": "Account is disabled.",
"solution": "This account has been disabled and cannot be used for verification."
},
"ER398": {
"code": "ER398",
"message": "Account is already verified.",
"solution": "This account has already been verified and does not require further verification."
},
"ER399": {
"code": "ER399",
"message": "Cardholder name is missing on the account.",
"solution": "Ensure the account has a cardholder name before requesting verification."
},
"ER400": {
"code": "ER400",
"message": "Unable to start card verification.",
"solution": "Please try again later. If the problem persists, contact support."
},
"ER700": {
"code": "ER700",
"message": "User authorization token not found.",
"solution": "Provide a user authorization token."
},
"ER701": {
"code": "ER701",
"message": "User authorization token has expired.",
"solution": "Request a new authorization token, or refresh the token."
},
"ER702": {
"code": "ER702",
"message": "User authorization token is invalid.",
"solution": "Provide a valid user authorization token."
},
"ER703": {
"code": "ER703",
"message": "User identifier does not belong to the user in the user authorization token.",
"solution": "Provide a valid user identifier, or remove the user identifier header."
},
"ER704": {
"code": "ER704",
"message": "No user identifier found in headers.",
"solution": "Provide a valid user identifier, or use the user/password authentication mechanism to request a user token and send that."
},
"ER705": {
"code": "ER705",
"message": "User identifier is not linked to a user.",
"solution": "Provide a valid user identifier, link this user identifier to a user account, or use the user/password authentication mechanism."
},
"ER706": {
"code": "ER706",
"message": "User identifier is invalid.",
"solution": "Provide a valid user identifier, a unique identifier string for the user account that is not already in use."
},
"ER707": {
"code": "ER707",
"message": "User identifier is invalid.",
"solution": "Please provide an identifier, consisting of 36 - 255 characters, numeric or alphanumeric only."
},
"ER708": {
"code": "ER708",
"message": "There is a pending document for this side.",
"solution": "Wait for the pending document to be reviewed."
},
"ER709": {
"code": "ER709",
"message": "User not found, or user has been deleted.",
"solution": "Provide a valid user identifier."
},
"ER800": {
"code": "ER800",
"message": "Authorization token is invalid.",
"solution": "Provide a valid authorization token."
},
"ER801": {
"code": "ER801",
"message": "Authorization token has expired.",
"solution": "Request a new authorization token."
},
"ER802": {
"code": "ER802",
"message": "Authorization token not found.",
"solution": "Provide an authorization token."
},
"ER803": {
"code": "ER803",
"message": "Multiple authorization methods used.",
"solution": "Use exactly one authorization method."
},
"ER805": {
"code": "ER805",
"message": "API key is invalid.",
"solution": "Provide a valid API key."
},
"ER806": {
"code": "ER806",
"message": "API key not found.",
"solution": "Provide an API key."
},
"ER999": {
"code": "ER999",
"message": "A general error has occurred. Please contact our support team.",
"solution": "Contact our support team."
}
}
}